import IHeader from 'src/lib/user/interfaces/IHeader';
import IPayload from 'src/lib/user/interfaces/IPayload';
export default class User {
    protected jwt: string;
    protected permissions: Array<string>;
    protected roles: Array<string>;
    constructor(jwt: string);
    getJwtToken(): string;
    getPayload(): IPayload;
    getHeader(): IHeader;
    isAuthenticated(): boolean;
    hasPermission(name: string): boolean;
    hasRole(name: string): boolean;
    private setPermissions;
    private setRoles;
}
//# sourceMappingURL=User.d.ts.map